Soporte y Mantenimiento FUAM 2026-2027 - Tareas #4891

Crecacion de perfil consultivo
02/12/2026 12:14 PM - Jose Antonio Martin Bravo

Status: Resuelta Start date: 02/12/2026
Priority: Urgente Due date: 02/20/2026
Assignee: Jose Antonio Martin Bravo % Done: 100%
Category: Estimated time: 24.00 hours
Target version: Spent time: 1.10 hour
Description

Crear un perfil consultivo , con los mismos permisos que administrador de matriculas , pero no puediendo modificar ningun dato,
puede generar eventos no pero no modificar

History

#1 - 02/12/2026 03:56 PM - Daniel Garcia
- Tracker changed from Errores to Tareas
- Status changed from Nueva to En curso

- Assignee changed from Daniel Garcia to Jose Miguel Rosell Rosa

#2 - 02/12/2026 04:18 PM - Daniel Garcia

- Assignee changed from Jose Miguel Rosell Rosa to Jose Antonio Martin Bravo

Crear perfil “Administrador consultivo” (modo solo lectura)

Se requiere crear un nuevo perfil de usuario con los mismos permisos de visualizacién que el Administrador de Matriculas, pero sin capacidad de
modificar datos existentes.
Este perfil podra consultar informacién y generar eventos, pero no podra realizar acciones que impliquen cambios en la base de datos.

Requisitos funcionales:

- Crear nuevo perfil Administrador desde login admin.

- El perfil tendré acceso a las mismas pantallas que el Administrador de Matriculas.
- No podra:

- Crear nuevos registros (excepto generacion de eventos si aplica).

- Editar registros existentes.

- Eliminar registros.

- Confirmar pagos o modificar estados.

- Solo podra visualizar informacién y ejecutar acciones no persistentes.

Implementacion técnica:

- Definir variable de configuracion en .env con el correo del admin para solo lectura.
- Leer la variable en Java desde configuracion.

- En los controladores que sirven datos a los templates de administracion:

- Pasar la variable adminSoloLectura al modelo.

- En los templates:

- Evaluar la variable.

- Si adminSoloLectura = true:

- Deshabilitar botones de edicion.

- Ocultar botones de guardado/eliminacién.

- Evitar renderizado de acciones que modifiquen datos.

- Adadir validacién adicional en backend para evitar modificaciones aunque se manipule el frontend.

Estimacion

Estimacién aproximada: 24 horas
Incluye:

- Analisis de permisos actuales.

- Implementacién backend.

- Adaptacion de vistas.
- Pruebas completas y regresién.
#3 - 02/12/2026 04:22 PM - Daniel Garcia

Este es el correo que usaremos para el perfil consultivo Estudios.propios@uam.es.
Para acceder a la plataforma podemos hacerlo con usuario: cfc.uam y pass: test

#4 - 02/13/2026 06:41 AM - Jose Antonio Martin Bravo

- Assignee changed from Jose Antonio Martin Bravo to Daniel Garcia

OK, adelante con el desarrollo de la tarea

#5 - 02/13/2026 08:40 AM - Maria del Mar Espinosa

- Project changed from Gestion de Matriculas 2024-2025 to Soporte y Mantenimiento FUAM 2026-2027
- Due date set to 02/20/2026

- Category deleted (Plataforma académica)

- Estimated time set to 24.00 h

Se mueve como tarea de soporte al ser un requisito nuevo y aprobado por FUAM

#6 - 03/03/2026 06:58 AM - Daniel Garcia
- Status changed from En curso to Resuelta
- Assignee changed from Daniel Garcia to Jose Antonio Martin Bravo

- % Done changed from 0 to 100

Se revisa en produccién la creacion del perfil estudios.propios@uam.es en la plataforma, en el caso de entrar con este perfil el sistema se comporta
como solo lectura para este usuario.
